MSTREG,(1)

NAME
mstreg, - manual page for mstreg, mstflint 4.14.0, built on Mar 3 2020, 14:03:18. Git SHA Hash: N/A

DESCRIPTION

    NAME:

    mstreg

    SYNOPSIS:

    mstreg [OPTIONS]

    DESCRIPTION:

    Exposes supported access registers, and allows users to obtain information regarding the registers fields and attributes, and to set and get data with specific register.

    OPTIONS:

-h |--help
    : Display help message.

-v |--version
    : Display version info.

-d |--device
    <device> : Perform operation for a specified mst device.

-a |--adb_file
    <adb_file> : An external ADB file

--reg_name
    <reg_name> : Known access register name

--reg_id
    <reg_ID> : Access register ID

--reg_len
    <reg_length> : Access register layout length (bytes)

-i |--indexes
    <idxs_vals> : Register indexes

-g |--get
    : Register access GET

-s |--set
    <reg_dataStr> : Register access SET

--show_reg
    <reg_name> : Print the fields of a given reg access (must have reg_name)

--show_regs
    : Print all available reg access'

--yes
    : Non-interactive mode, answer yes to all questions

    Examples:

Show all available access register
    : mstreg -d <device> --show_regs

Show all fields of register PAOS
    : mstreg -d <device> --show_reg PAOS

    GET PAOS with indexes: local port 0x1 and swid 0x5:

    mstreg -d <device> --get --reg_name PAOS --indexes "local_port=0x1,swid=0x5"

    SET PAOS with indexes: local port 0x1 and swid 0x5, and data: e 0x0:

    mstreg -d <device> --set "e=0x0" --reg_name PAOS --indexes "local_port=0x1,swid=0x5"

SEE ALSO
The full documentation for mstreg, is maintained as a Texinfo manual. If the info and mstreg, programs are properly installed at your site, the command

    info mstreg,

should give you access to the complete manual.